PostTask.Cookie (Ant Contrib)
Date: 2016-06-25

net.sf.antcontrib.net

## Class PostTask.Cookie

- java.lang.Object
- - net.sf.antcontrib.net.PostTask.Cookie

- Enclosing class:
    PostTask

      public class PostTask.Cookie
      extends java.lang.Object

  Represents a cookie. See RFC 2109 and 2965.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostTask.Cookie(java.lang.String raw)`
    `PostTask.Cookie(java.lang.String name, java.lang.String value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDomain()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPath()`
    `java.lang.String` | `getValue()`
    `void` | `setDomain(java.lang.String domain)`
    `void` | `setPath(java.lang.String path)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PostTask.Cookie

          public PostTask.Cookie(java.lang.String raw)

      Parameters:
        `raw` - the raw string abstracted from the header of an http response for a single cookie.

    - #### PostTask.Cookie

          public PostTask.Cookie(java.lang.String name,
                         java.lang.String value)

      Parameters:
        `name` - name of the cookie
        `value` - the value of the cookie

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns:
        the id of the cookie, used internally by Post to store the cookie in a hashtable.

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the cookie

    - #### getValue

          public java.lang.String getValue()

      Returns:
        the value of the cookie

    - #### setDomain

          public void setDomain(java.lang.String domain)

      Parameters:
        `domain` - the domain of the cookie

    - #### getDomain

          public java.lang.String getDomain()

      Returns:
        the domain of the cookie

    - #### setPath

          public void setPath(java.lang.String path)

      Parameters:
        `path` - the path of the cookie

    - #### getPath

          public java.lang.String getPath()

      Returns:
        the path of the cookie

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a Cookie formatted as a Cookie Version 1 string. The returned string is suitable for including with an http request.